$checkbox-content-background: $color-white;
$checkbox-content-background-hover: $dark;
$checkbox-content-border: $border-general-height;

.checkbox {
  width: 100%;
  background: none;
  border: none;
  padding: 0;
  &:focus {
    outline: none;
  }
}

.checkbox__label {
  display: block;
  width: 100%;
}


.checkbox__netIcon {
  width: fit-content;
  padding-right: 20px;
  &_icon {
    height: fit-content !important;
    width: fit-content !important;

  }
}

.checkbox__content {
  align-items: center;
  background: $checkbox-content-background;
  border: $checkbox-content-border;
  display: flex;
  font-size: .85rem;
  padding:  1.5rem 2rem;
  position: relative;
  transition: background .2s;
  width: 100%;

  &--left{
    border-radius: rem(5px) 0 0 rem(5px) !important;
  }
  &--right{
    border-radius: 0 rem(5px) rem(5px) 0 !important;
  }

  &--small {
    padding: rem(15px) rem(10px);
  }
  &--bordered {
    border: 1px solid #e5e5e5;
    border-radius: rem(5px);
  }
}

@media screen and (max-width: 991px) {
  .checkbox__content {
    &--left{
      border-radius: rem(5px) rem(5px) rem(5px) rem(5px) !important;
      margin-bottom: 10px;
    }
    &--right{
      border-radius: rem(5px) rem(5px) rem(5px) rem(5px) !important;
    }
  }
}

.checkbox__content:hover {
  cursor: pointer;
}

.checkbox__icon {
  align-items: center;
  display: flex;
  height: 40px;
  transition: transform .2s;
  width: 40px;

  .icon {
    fill: red;
    height: auto;
    transition: transition .2s;
    width: 100%;
  }
}

.checkbox__text {
  margin-left: 6%;
  margin-bottom: 0;
  line-height: 30px;
  height: 30px;
  min-height: 30px;
}

.checkbox__checkbox {
  display: none;

  &:checked + .checkbox__content {
    background: $checkbox-content-background-hover url('svg/icons/check-blue.svg') 100% center no-repeat;
    padding-right: rem(35px);
    background-size: 40px;
    color: $color-white;
    min-width: rem(150px);

    .icon {
      fill: $color-white;
    }

    &-bg-left {
      background: $checkbox-content-background-hover url('svg/icons/check-blue.svg') 0% center no-repeat;
      padding-left: rem(35px);
      padding-right: rem(10px);
      background-size: 40px;
    }
  }

  &:checked + .profile-buttons__checkbox {
    background: $dark;
    // padding-right: 0;
    color: $primary;
    min-width: rem(150px);
  }

  &:checked + .checkbox__content::before {
    background: transparent image-url('assets/svg/icons/check.svg') center no-repeat;
    background-size: 80%;
  }
}
